<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de serviciosgenerales(Administrador general)
class ServiciosAdicionalesA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

   //Consulta que hace el registros de servicios adicionales en la base de datos
   public function GuardarServicioG($parametro){
      $campos=array(
         'Codigo_Servicios' => $parametro['Codigo_Servicios'],
         'Modelo_IdModelo' => $parametro['Modelo_IdModelo'],
         'NombreServicio' => $parametro['NombreServicio'],
         'TipoServicio_IdTipoServicio' => $parametro['TipoServicio_IdTipoServicio'],
         'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
         'PreciosServicio' => $parametro['PreciosServicio'],
         'DuracionServicio'=> $parametro['DuracionServicio'],
         'SesionesServicio'=> $parametro['SesionesServicio'],
         'DescripcionServicio' => $parametro['DescripcionServicio'],
         'ObservacionesServicio' => $parametro['ObservacionesServicio'],
         'ClasificacionServicio' => $parametro['ClasificacionServicio'],
         'Zona_IdZona' => $parametro['Zona_IdZona']
      );
      $query=$this->db->insert('serviciosgenerales',$campos);

      $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==0){
         //Muestra una alerta cuando no se realizo
           echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
           
      }else{

        $id= $this->db->insert_id();

        $cam=array(
         'IdServiciosFranquicias' => $parametro['IdServiciosFranquicias'],
         'ServiciosGenerales_IdServiciosGenerales' => $id,
         'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias'],
         'Usuarios_IdUsuarios' => $parametro['Usuarios_IdUsuarios']
            );
          echo $this->db->insert('serviciosfranquicias',$cam);
          $res=$this->db->affected_rows();
          if($res==1){
           //Muestra una alerta cuando no se realizo
            // echo "<script>alert('Datos guardados correctamente');</script>";
            //  redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
             echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
          }else{
            //Verifica que la consulta se realizo 
            // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
            //  redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
             echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
            }
         }
   }

    //Consulta que hace la busqueda del servicio seleccionado
    public function obtenerenlace ($id){
      $this->db->where('IdServiciosGenerales', $id);
      $query=$this->db->get('serviciosgenerales');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

    //Consulta que hace la actualización del servicio seleccionado
    function editarenlace ($IdServiciosGenerales, $data)
   {
      $this->db->where('IdServiciosGenerales', $IdServiciosGenerales);
      $this->db->update('serviciosgenerales', $data);
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";

      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
       //  echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
       // redirect("servicios/Administrador/serviciosAdicionalesA/editar/$IdServiciosGenerales",'refresh');
        echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA/editar/$IdServiciosGenerales';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        // redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
         echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
      }
   }

      //Consulta que hace la busqueda de los servicios
     function buscar($query) {
    $this->db->select('*');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales=IdServiciosGenerales','inner');
    $this->db->join('tiposervicio','TipoServicio_IdTipoServicio=IdTipoServicio','inner');
    $this->db->where('TipoServicio_IdTipoServicio','1');
    $this->db->like('NombreServicio', $query);
    $query=$this->db->get('serviciosfranquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{
       // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
       //   redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
         echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
    }
  }

  //Consulta que elimina los servicios
  public function eliminar ($id){
      
      $this->db->where('IdServiciosGenerales', $id);
      $this->db->delete('serviciosgenerales');
      $res=$this->db->affected_rows();
      if($res>0){
        //Muestra una alerta cuando se realizo
     //  echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     // redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
     echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
      }else{
        //Muestra una alerta cuando no se realizo
     //  echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');</script>";
     // redirect('servicios/Administrador/serviciosAdicionalesA','refresh');
     echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');
                 window.location.href='".base_url()."servicios/Administrador/serviciosAdicionalesA';
                 </script>";
      }
   }


 
   //Consulta que hace la busqueda de los modelos
   public function BuscarModelo(){
     $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    
    //Consulta que hace la busqueda de los tipos de servicio
    public function BuscarTipoS(){
     $query = $this->db-> query('SELECT IdTipoServicio,NombreTipoServicio FROM tiposervicio WHERE IdTipoServicio =1'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoServicio, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    
    //Consulta que hace la busqueda de las categorias del servicio
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  

     //Consulta que hace la busqueda de las franquicias
    public function BuscarFranquicia(){
     $query = $this->db-> query('SELECT * FROM franquicias'); 
      return $query->result();
         } 

      

      //Consulta que hace la busqueda de los datos del usuario logueado
    public function BuscarUsuario(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         } 
   public function BuscarZona($IdFranquicias){// Realiza una consulta a la bd para buscar los clientes que existen y poder mandar el resultado
      $this->db->select('*');
      $this->db->from('franquicias');
      $this->db->join('zona','Zona_IdZona=IdZona','inner');
      $this->db->where('IdFranquicias',$IdFranquicias);
      $query=$this->db->get();
      return $query->result_array();
         }

  
}
